document.addEventListener('DOMContentLoaded', () => {
    // Smooth scrolling for navigation links
    document.querySelectorAll('a[href^="#"]').forEach(anchor => {
        anchor.addEventListener('click', function (e) {
            e.preventDefault();
            document.querySelector(this.getAttribute('href')).scrollIntoView({
                behavior: 'smooth'
            });
        });
    });

    // Add intersection observer for fade-in animations
    const observer = new IntersectionObserver((entries) => {
        entries.forEach(entry => {
            if (entry.isIntersecting) {
                entry.target.classList.add('fade-in');
            }
        });
    }, {
        threshold: 0.1
    });

    document.querySelectorAll('.tool-card, .resource-card, .method-step').forEach((el) => {
        observer.observe(el);
    });
});

function openFactChecker() {
    const modal = document.createElement('div');
    modal.className = 'fact-check-modal';
    modal.innerHTML = `
        <div class="modal-content">
            <h2>Fact Checker</h2>
            <input type="text" placeholder="Enter a claim to verify..." />
            <button onclick="this.parentElement.parentElement.remove()">Close</button>
        </div>
    `;
    document.body.appendChild(modal);
}

// Add responsive navigation toggle
const createMobileMenu = () => {
    const nav = document.querySelector('nav');
    const burger = document.createElement('button');
    burger.className = 'mobile-menu-button';
    burger.innerHTML = '☰';
    burger.addEventListener('click', () => {
        document.querySelector('.nav-links').classList.toggle('show');
    });
    nav.appendChild(burger);
};

if (window.innerWidth <= 768) {
    createMobileMenu();
}